function p = param_deriv(p, n)
%PARAM_DERIV/PARAM_DERIV	Parameter vector constructor for PDERIV
%   P = PARAM_DERIV(PV) returns a vector of parameters P than can be used in PDERIV operations.
%   P = PARAM_DERIV(PV, N) specifies you only want N levels of partial derivatives.
%       N=0: constant (no pderiv)
%       N=1: gradient (default)
%       N=2: hessian

if nargin == 1
    n = 1;
end

if ~isa(p, 'param_deriv')
    p = class(struct('p', p, 'n', uint8(n)), 'param_deriv');
else
    p = setdepth(p, n);
end
