function varargout = derivs(d, varargin)
%PDERIV/DERIVS	Return all derivatives
%   [D0 D1 ...] = DERIVS(D) returns the value D0, gradient vector D1, Hessian matrix D2 and so on.  Uncomputed vectors are returned as [].
%   [D0 D1 ...] = DERIVS(D, D1, D2, ...) can be used to specify default extra returns to avoid an error when derivatives are not available.
%   DS = DERIVS(D) returns a cell array of all the derivatives above

ds = pderiv_ds(d, varargin{:});
%if nargout > 1
    if nargout > length(ds)
        error('derivs: more derivatives requested than available (use extra arguments)');
    end
    varargout = ds;
%else
%    varargout = {ds};
%end
