function x = det(x)
%PDERIV/DET	Determinant
% This only works for non-singular matrices.  (Theoretically determinant derivatives are definable for non-singular matrices using the adjugate rather than the inverse, but that's not builtin to matlab.)

x0 = pderiv_d0(x);
x.v = det(x.v);
xi = inv(x0);
x.d = pdmap1(@(xd) trace(xi*xd), x.d);
