function d = setdepth(d, n)
%PDERIV/SETDEPTH	Set the number of derivatives to maintain.
%   D = SETDEPTH(D, N) updates a derivative representation to maintain exactly N levels of derivatives.
%       N=0: constant (no pderiv)
%       N=1: gradient
%       N=2: hessian
%     This must be set before computations are done, though it may be decreased at any time, discarding the extra data.  An operation between multiple pderivs always uses the largest common depth.

d = pderiv_setdepth(d, uint8(n));
